/**
 * This interface specifies the behavior that a class
 * must implement in order to be considered a real Animal.
 * 
 */
public interface Animal {
   /**
    * Provide this animal with a way to rest when weary.
    */
    public void sleep();
    /** 
    * Eat some goodies.  There is some weight gain after eating.
    * @param pounds the number of pounds of food provided.
    */
    public void eat(double pounds);
    /**
     * get the meal size defined for this animal.
     * @return meal size in pounds
     */
    public double getMealSize();
    /**
    * Provide this animal with a voice.
    */
    public void noise();
}
