/**
 * One of several animal types.
 */
public class Cat extends BasicAnimal {
    /**
    * Create a new Cat with default characteristics.  This constructor
    * sets a default meal size of 0.1 pound and an initial weight
    * of 1 pound.
    * @param theName name of this animal
    */
    public Cat(String theName) {
		super(theName,0.1,1);
    }
   /**
    * Create a new Cat, using supplied parameter values.
    * @param theName name of this animal
    * @param serving the size of a single meal for this animal in pounds
    * @param weight the initial weight of this animal in pounds
    */
    public Cat(String theName,double serving,double weight) {
        super(theName, serving, weight);
    }
    /**
    * Provide this animal with an appropriate voice.
    */
    public void noise() {
        System.out.println(name+" : Meow! Meow!");
    }
    /**
    * Run this animal through a typical day.  This is a simple test harness for this
    * class.
    * @param args ignored
    */
    public static void main(String[] args) {
        Cat sumi = new Cat("Sumi",0.2,13);
        sumi.sleep();
        sumi.noise();
        sumi.eat(1);
        sumi.sleep();
        sumi.eat(2);
        sumi.sleep();
    }
}
