/**
 * One of several animal types.
 */
public class Dog extends BasicAnimal {
    /**
    * Create a new Dog with default characteristics.  This constructor
    * sets a default meal size of 0.5 pound and an initial weight
    * of 20 pounds.
    * @param theName name of this animal
    */
    public Dog(String theName) {
        super(theName,0.5,20);
    }
   /**
    * Create a new Dog, using supplied parameter values.
    * @param theName name of this animal
    * @param serving the size of a single meal for this animal in pounds
    * @param weight the initial weight of this animal in pounds
    */
    public Dog(String theName,double serving,double weight) {
        super(theName,serving,weight);
    }
    /**
    * Provide this animal with an appropriate voice.
    */
    public void noise() {
        System.out.println(name+" : Woof! Woof!");
    }
   /**
    * Run this animal through a typical day.  This is a simple test harness for this
    * class.
    * @param args ignored
    */
    public static void main(String[] args) {
        Dog rover = new Dog("Jessie",0.2,13);
        rover.sleep();
        rover.noise();
        rover.eat(1);
        rover.sleep();
        rover.eat(2);
        rover.sleep();
    }
}
