/**
 * One of several animal types.
 */
public class Sparrow extends BasicAnimal {
    /**
    * Create a new Sparrow with default characteristics.  This constructor
    * sets a default meal size of 0.05 pounds and an initial weight
    * of .1 pounds.
    * @param theName name of this animal
    */
    public Sparrow(String theName) {
        super(theName,0.05,.1);
    }
   /**
    * Create a new Sparrow, using supplied parameter values.
    * @param theName name of this animal
    * @param serving the size of a single meal for this animal in pounds
    * @param weight the initial weight of this animal in pounds
    */
    public Sparrow(String theName,double serving,double weight) {
        super(theName,serving,weight);
    }
    /**
    * Provide this animal with an appropriate voice.
    */
    public void noise() {
        System.out.println(name+" : Chirp! Trill!");
    }
    /**
    * Provide this animal with a way to rest when weary.
    */
    public void sleep() {
        System.out.println(name+" : <not a peep>");
    }
    /**
    * Run this animal through a typical day.  This is a simple test harness for this
    * class.
    * @param args ignored
    */
    public static void main(String[] args) {
        Sparrow tweet = new Sparrow("Libby");
        tweet.sleep();
        tweet.noise();
        tweet.eat(1);
        tweet.sleep();
        tweet.eat(2);
        tweet.sleep();
    }
}
